Need 64-bit compatible version

trying to load lexmark x83 but need 64-bit compatible version running windows 7
2 answers Last reply
More about need compatible version
  1. according to Lexmark's website these are the only OSes:
    Apple Mac OS 8.6
    Apple Mac OS 9.0 - 9.2.2
    Apple Mac OS X (10.1-10.2.6)
    Microsoft Windows 2000
    Microsoft Windows XP
  2. i had this printer..will not run on win 7...no drivers are out there!
Ask a new question

Read More

Windows 7 Lexmark Compatibility